Package javassist.bytecode.annotation

# Class EnumMemberValue

java.lang.Object
javassist.bytecode.annotation.MemberValue
javassist.bytecode.annotation.EnumMemberValue

public class EnumMemberValue extends MemberValue
Enum constant value.

Author:
  Bill Burke, Shigeru Chiba

## Constructor Summary

Constructors
Constructor
Description
`EnumMemberValue(int type, int value, ConstPool cp)`
Constructs an enum constant value.
`EnumMemberValue(ConstPool cp)`
Constructs an enum constant value.

## Method Summary

Modifier and Type
Method
Description
`void`
`accept(MemberValueVisitor visitor)`
Accepts a visitor.
`String`
`getType()`
Obtains the enum type name.
`String`
`getValue()`
Obtains the name of the enum constant value.
`void`
`setType(String typename)`
Changes the enum type name.
`void`
`setValue(String name)`
Changes the name of the enum constant value.
`String`
`toString()`
`void`
`write(AnnotationsWriter writer)`
Writes the value.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### EnumMemberValue

public EnumMemberValue(int type, int value, ConstPool cp)
Constructs an enum constant value. The initial value is specified by the constant pool entries at the given indexes.

Parameters:
  `type` - the index of a CONSTANT_Utf8_info structure representing the enum type.
  `value` - the index of a CONSTANT_Utf8_info structure. representing the enum value.

### EnumMemberValue

public EnumMemberValue(ConstPool cp)
Constructs an enum constant value. The initial value is not specified.

## Method Details

### getType

public String getType()
Obtains the enum type name.

Returns:
  a fully-qualified type name.

### setType

public void setType(String typename)
Changes the enum type name.

Parameters:
  `typename` - a fully-qualified type name.

### getValue

public String getValue()
Obtains the name of the enum constant value.

### setValue

public void setValue(String name)
Changes the name of the enum constant value.

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### write

public void write(AnnotationsWriter writer) throws IOException
Writes the value.

Specified by:
  `write` in class `MemberValue`
Throws:
  `IOException`

### accept

public void accept(MemberValueVisitor visitor)
Accepts a visitor.

Specified by:
  `accept` in class `MemberValue`